Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#54569 - [arc-icon-theme] Needs moka-icon-theme

Attached to Project: Community Packages
Opened by Thanos Apostolou (ThanosApostolou) - Saturday, 24 June 2017, 13:51 GMT
Last edited by Doug Newgard (Scimmia) - Tuesday, 27 June 2017, 05:21 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To NicoHood (NicoHood)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 1
Private No

Details

Description:
Please build also moka-icon-theme and add it as dependency, because otherwise the arc-icon-theme is not complete.


This is stated at requirements on github page as well.
The PKGBUILD for moka-icon-theme is really easy, you can see for example manjaro's pkgbuild here: https://github.com/manjaro/packages-community/blob/master/moka-icon-theme/PKGBUILD
This task depends upon

Comment by NicoHood (NicoHood) - Tuesday, 27 June 2017, 13:28 GMT
moka-icon-theme is an optional dependency which you can still install from AUR. It is not required, it is just recommended. I've also added elementary icon theme as optional dependency so you can use this from the official repositories. I do not plan to maintain the moka icon theme. Especially not if they do not GPG sign their releases.
Comment by Thanos Apostolou (ThanosApostolou) - Tuesday, 27 June 2017, 14:30 GMT
Well in the github page it is listed as requirement because that's how the developer wants the arc-icon-theme to be delivered. Adwaita and gnome-icon-theme can be used as fallback options. However, there is the issue in the following situation:

A user installs arc-icon-theme and he selects it as his DE's icon theme. This probably uses the gnome-icon-theme and the icon look similar to this: http://imgur.com/a/MvaJQ (look at panel icons). Then the user installs moka-icon-theme, but he DOESN'T choose it from his DE settings, but he prefers the arc-icon-theme as he had it before. Then he logouts and logins and he finds out that the icons have been changed without his action and they look like this: http://imgur.com/a/lh2Yb.

Different icons without the user's action is not good behavior in my opinion. So, if you don't want to use moka-icon-theme (which I believe you should, as that's the developer's intention), then maybe you should patch the `index.theme` and put Adwaita as the first option, so that the icons doesn't change on it's own.
Comment by Ivy Foster (escondida) - Thursday, 10 October 2019, 23:20 GMT
NicoHood, is this a change you're still considering, or should it be closed "Won't Fix"?
Comment by Hunab Ku (hunabku) - Monday, 22 March 2021, 10:01 GMT
Hi, arc-icon-theme cannot be installed because moka-icon-theme is marked as required dependency but don't exists anymore.
Comment by NicoHood (NicoHood) - Monday, 22 March 2021, 14:05 GMT
@hunabku that is not true and it never was. Dont know where you got this information from.

Loading...